threads(3)

NAME
threads - Portable Threads Abstraction Classes

SYNOPSIS

  Typedefs
typedef struct cc_thread cc_thread
The type definition for the thread structure.
typedef struct cc_mutex cc_mutex
The type definition for the mutex structure.
typedef struct cc_rwmutex cc_rwmutex
The type definition for the read-write mutex structure.
typedef struct cc_storage cc_storage
The type definition for the thread local memory storage structure.
typedef struct cc_condvar cc_condvar
The type definition for the conditional variable structure.
typedef struct cc_worker cc_worker
The type definition for the worker thread structure.
typedef struct cc_wpool cc_wpool
The type definition for a worker pool structure.
typedef struct cc_recmutex cc_recmutex
The type definition for the recursive mutex structure.
typedef struct cc_sched cc_sched
The type definition for the thread scheduler structure.
typedef struct cc_fifo cc_fifo
The type definition for the first-in, first-out queue structure.
typedef struct cc_barrier cc_barrier
The type definition for the thread barrier structure.

  Enumerations
enum cc_threads_implementation { CC_NO_THREADS = -1, CC_PTHREAD = 0, CC_W32THREAD }
The type definition for the implemented thread enumerator.
enum cc_retval { CC_ERROR = 0, CC_OK = 1, CC_TIMEOUT, CC_BUSY }
The type definition for the return value enumerator.
enum cc_precedence { CC_READ_PRECEDENCE, CC_WRITE_PRECEDENCE }
The type definition of the cc_precedence enumerator.

Detailed Description

Coin implements a set of abstractions over the native threads data types that can be portably used across all the platforms Coin has been ported to.

Author

Generated automatically by Doxygen for Coin from the source code.